import { Component, OnInit } from '@angular/core';
import {AuthService} from '../../services/auth.service';
import {NgForm} from '@angular/forms';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

  constructor(public authService: AuthService) { }

  ngOnInit() {
  }

  login(formData: NgForm) {
    this.authService.login(formData.controls.email.value, formData.controls.password.value);
  }

  register() {
    this.authService.register();
  }

  logout() {

  }
}
